#ifndef __CONF_H
#define __CONF_H

/*
 *  Config file parsing
 */

struct confentry {
	struct list list;
	int icon;
	char *title;
	char *kernelname;
	char *initrdname;
};

struct conf {
	int timeout; /* in seconds, 0 = infinite */
	struct list entries;
};

int conf_parse(struct conf *conf, char *confdata, int size);

#endif
