#include "fb.h"
#include "list.h"
#include "icon.h"

char icon_tux[ICON_HEIGHT*ICON_HEIGHT*sizeof(fb_pix_t)] = {
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xd6, 0xbd, 0x10, 0x84, 
  0x92, 0x94, 0x1b, 0xe7, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0x4d, 0x6b, 0x00, 0x00, 0x00, 0x00, 
  0x20, 0x00, 0x45, 0x29, 0xf3, 0x9c, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xda, 0xde, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
  0x21, 0x00, 0x24, 0x21, 0x41, 0x08, 0xfb, 0xde, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0x34, 0xa5, 0x41, 0x08, 0x41, 0x08, 0x00, 0x00, 
  0xa3, 0x10, 0xa2, 0x10, 0x00, 0x00, 0x71, 0x8c, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0x14, 0xa5, 0xcf, 0x7b, 0x6d, 0x6b, 0x45, 0x29, 
  0x34, 0xa5, 0x30, 0x84, 0x00, 0x00, 0x6d, 0x6b, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0x96, 0xb5, 0x6a, 0x4a, 0x47, 0x7b, 0x65, 0x83, 
  0xe5, 0x41, 0x30, 0x84, 0x00, 0x00, 0x2c, 0x63, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0x18, 0xc6, 0x44, 0x83, 0xa1, 0xe5, 0x84, 0xee, 
  0x62, 0xee, 0x85, 0xac, 0x00, 0x00, 0x69, 0x4a, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0x59, 0xce, 0xe2, 0x7a, 0x81, 0xdd, 0xc2, 0xdd, 
  0xe1, 0xcc, 0x26, 0xac, 0xc3, 0x18, 0x24, 0x21, 
  0x9e, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0x13, 0xa5, 0xef, 0x7b, 0xca, 0xb4, 0x87, 0xbc, 
  0xb2, 0xc5, 0x3c, 0xe7, 0x25, 0x21, 0xa2, 0x10, 
  0xef, 0x7b, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x1b, 0xe7, 
  0xa6, 0x31, 0x9d, 0xf7, 0x9a, 0xd6, 0xba, 0xde, 
  0xde, 0xff, 0xff, 0xff, 0xf3, 0x9c, 0x00, 0x00, 
  0x61, 0x08, 0xdb, 0xde, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xbe, 0xf7, 0xa6, 0x31, 
  0x30, 0x84, 0xff, 0xff, 0xdf, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xdf, 0xff, 0x1b, 0xe7, 0x20, 0x00, 
  0x00, 0x00, 0x45, 0x29, 0x7d, 0xef, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0x30, 0x84, 0x21, 0x00, 
  0x96, 0xb5, 0xdf, 0xff, 0xbe, 0xf7, 0xdf, 0xff, 
  0xdf, 0xff, 0x3c, 0xe7, 0x9a, 0xd6, 0x0c, 0x63, 
  0x82, 0x10, 0x00, 0x00, 0x0c, 0x63, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xe7, 0x39, 0x8a, 0x52, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xde, 
  0xe3, 0x18, 0x82, 0x10, 0x41, 0x08, 0x7d, 0xef, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0x9a, 0xd6, 0x62, 0x10, 0x38, 0xc6, 
  0xff, 0xff, 0xff, 0xff, 0xbe, 0xf7, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0x08, 0x42, 0x82, 0x10, 0x00, 0x00, 0x14, 0xa5, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0x8a, 0x52, 0x45, 0x29, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0x9e, 0xf7, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xeb, 0x5a, 0x61, 0x08, 0x00, 0x00, 0x6e, 0x6b, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0x3c, 0xe7, 0x20, 0x00, 0x69, 0x4a, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0x9e, 0xf7, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0x0c, 0x63, 0x61, 0x08, 0x00, 0x00, 0x2c, 0x63, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0x7c, 0xf7, 0x01, 0xac, 0xc4, 0x6a, 0x1c, 0xe7, 
  0xff, 0xff, 0xff, 0xff, 0xbe, 0xf7, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x56, 0xff, 
  0x86, 0x5a, 0x20, 0x00, 0xc3, 0x18, 0x90, 0x94, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0x7b, 0xf7, 0x2e, 0xe6, 
  0xa8, 0xe5, 0xc1, 0xf5, 0xa1, 0xed, 0x04, 0x4a, 
  0x38, 0xc6, 0xff, 0xff, 0xdf, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xde, 0xff, 0xe8, 0xed, 
  0x80, 0x6a, 0x00, 0x00, 0x20, 0x31, 0x27, 0xee, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0x93, 0xee, 0xa1, 0xf5, 
  0xe2, 0xf5, 0xe2, 0xf5, 0xe2, 0xf5, 0x81, 0xbc, 
  0x41, 0x08, 0x96, 0xb5, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0x3c, 0xe7, 0x46, 0xd5, 
  0xc1, 0xd4, 0xe0, 0xab, 0x21, 0xdd, 0xe2, 0xf5, 
  0x9a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xd5, 0xee, 0xa1, 0xed, 
  0xe2, 0xf5, 0xe2, 0xf5, 0xe2, 0xf5, 0xe1, 0xf5, 
  0xa2, 0x6a, 0xd3, 0x9c, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xf7, 0xc5, 0x22, 0xb4, 
  0xc1, 0xf5, 0xa1, 0xed, 0xe1, 0xf5, 0xe2, 0xf5, 
  0xe4, 0xf5, 0x57, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0x51, 0xe6, 0xa1, 0xf5, 
  0xe2, 0xf5, 0xe2, 0xf5, 0xe2, 0xf5, 0xe1, 0xf5, 
  0x82, 0xe5, 0x77, 0xd6, 0xff, 0xff, 0xff, 0xff, 
  0x9d, 0xf7, 0x51, 0x8c, 0x61, 0x08, 0x00, 0xb4, 
  0xe1, 0xf5, 0xe2, 0xf5, 0xe2, 0xf5, 0xe2, 0xf5, 
  0x83, 0xed, 0x16, 0xf7, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xcd, 0xdd, 0xe1, 0xd4, 
  0x41, 0xe5, 0xa1, 0xed, 0xc1, 0xf5, 0xe1, 0xf5, 
  0x41, 0xe5, 0xc0, 0x51, 0x24, 0x21, 0x25, 0x21, 
  0x41, 0x08, 0x00, 0x00, 0x40, 0x08, 0xe0, 0xb3, 
  0xc1, 0xf5, 0xc1, 0xf5, 0x41, 0xe5, 0x0e, 0xe6, 
  0x9c, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x7c, 0xf7, 
  0x34, 0xde, 0x0c, 0xc5, 0x03, 0xb4, 0x40, 0xbc, 
  0x40, 0x9b, 0x6a, 0x7b, 0x75, 0xad, 0xd7, 0xbd, 
  0xd7, 0xbd, 0xb6, 0xb5, 0x13, 0xa5, 0xe1, 0x8a, 
  0x60, 0xc4, 0x21, 0xbc, 0x75, 0xde, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xde, 0xff, 0x36, 0xce, 
  0x16, 0xce, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xd9, 0xde, 
  0x92, 0xc5, 0xfa, 0xe6, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
};
