#ifndef __MODEL_H
#define __MODEL_H
/*
 * Find the HTC phone model
 */

#define MODEL_UNKNOWN 0
#define MODEL_TYPHOON 1
#define MODEL_TORNADO 2

#define TYPHOON_LCD_TOPPOLY 0
#define TYPHOON_LCD_HUNDAI  2
#define TYPHOON_LCD_SONY    3

#define TORNADO_LCD_SONY    1
#define TORNADO_LCD_TOPPOLY 3

/* get the phone model */
int get_model(void);

/* get the LCD panel identifier */
int get_lcd_id(void);

/* print model and LCD type */
void print_model_info(void);

#endif
