#ifndef __KEYPAD_H
#define __KEYPAD_H

/*
 *  Keypad routines
 */

#define KEY_UP                  103
#define KEY_LEFT                105
#define KEY_RIGHT               106
#define KEY_DOWN                108
#define KEY_NEXTSONG            163
#define KEY_PLAYPAUSE           164
#define KEY_PREVIOUSSONG        165
#define KEY_MEDIA               226
#define KEY_1                   2
#define KEY_2                   3
#define KEY_3                   4
#define KEY_4                   5
#define KEY_5                   6
#define KEY_6                   7
#define KEY_7                   8
#define KEY_8                   9
#define KEY_9                   10
#define KEY_0                   11
#define KEY_STAR                227
#define KEY_SHARP               228
#define KEY_SOFT1               229
#define KEY_SOFT2               230
#define KEY_HOME                102
#define KEY_BACK                158
#define KEY_PHONE               169
#define KEY_MUTE                113
#define KEY_CAMERA              212
#define KEY_VOLUMEDOWN          114
#define KEY_VOLUMEUP            115

void keypad_init(void);
int keypad_get(void);

#endif
